<?php
namespace PAR\Factory;

use Doctrine\ORM\EntityManager;
use PAR\Traits\TQuery;
use PAR\Util\Procedure\FctRefMvCcustoContrato;

class FindFactory  {

    use TQuery;

    protected $connection;
    protected $entityManager;

    public function __construct(EntityManager $entityManager) {
        $this->connection = $entityManager->getConnection();
        $this->entityManager = $entityManager;
    }

    public function findIndiceFinanceiro($filtro) {
        $sql = "SELECT * FROM (
                    SELECT INDICE.CDTPINDICE,
                           INDICE.IDPERVALOR,
                           INDICE.CDINDICE,
                           INDICE.SGINDICE,
                           INDICE.NMINDICE,
                           MOVINDICE.DTREFIND,
                           MOVINDICE.VRINDICE,
                           INDICE.NRORG
                      FROM INDICE
                      JOIN MOVINDICE
                        ON INDICE.CDTPINDICE = MOVINDICE.CDTPINDICE
                       AND INDICE.IDPERVALOR = MOVINDICE.IDPERVALOR
                       AND INDICE.CDINDICE = MOVINDICE.CDINDICE
                       AND INDICE.NRORG = MOVINDICE.NRORG
                      JOIN (SELECT CDTPINDICE, IDPERVALOR, CDINDICE, NRORG, MAX(DTREFIND) AS DTREFIND
                              FROM MOVINDICE
                             GROUP BY CDTPINDICE, IDPERVALOR, CDINDICE, NRORG) DTIND
                        ON MOVINDICE.CDTPINDICE = DTIND.CDTPINDICE
                       AND MOVINDICE.IDPERVALOR = DTIND.IDPERVALOR
                       AND MOVINDICE.CDINDICE = DTIND.CDINDICE
                       AND MOVINDICE.NRORG = DTIND.NRORG
                       AND MOVINDICE.DTREFIND = DTIND.DTREFIND
                    )
                 WHERE ".$filtro;
        return $this->createAndExecuteQueryAndBuildResponseData($this->entityManager, $sql);
    }

}
