/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_DEPARTAMENTO                                             */
/* Tabela : DEPARTAMENTO                                                      */
/*                                                                            */
/* Criao:                                                                   */
/* 16/03/2004 - Raphael Freitas Pinheiro                                      */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_DEPARTAMENTO
BEFORE INSERT OR UPDATE OR DELETE
ON DEPARTAMENTO FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUDEPT := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDDEPTO,0)  <> NVL(:NEW.CDDEPTO,0)) OR
         (NVL(:OLD.CDFILIPEDORC,0)  <> NVL(:NEW.CDFILIPEDORC,0)) OR
         (NVL(:OLD.NMDEPTO,0)  <> NVL(:NEW.NMDEPTO,0)) THEN
         :NEW.DTULTATUDEPT := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('DEPARTAMENTO', '', 'CDDEPTO='||:OLD.CDDEPTO||';', SYSDATE);
   END IF;
END;

/
ALTER TABLE DEPARTAMENTO MODIFY DTULTATUDEPT DEFAULT SYSDATE
